@extends('layouts.admin')
@section('title',__('adminstaticwords.CreateAudio'))

@section('content')
<div class="admin-form-main-block">
  <h4 class="admin-form-text">
    @can('audio.view')
      <a href="{{url('admin/worldcupteam')}}" data-toggle="tooltip" data-original-title="{{__('adminstaticwords.GoBack')}}" class="btn-floating"><i class="material-icons">reply</i></a>
    @endcan 
    Create Team
  </h4>
  <div class="row">
     <div class="col-md-6">
     <div class="admin-form-block z-depth-1">
     {!! Form::model($team, ['method' => 'PATCH', 'action' => ['WorldCupTeamController@update',$team->id],'files' => true]) !!}
        <div id="movie_title" class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
        {!! Form::label('title', 'Team Name') !!} 
        <i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="Team Name"></i>
        <input  type="text" class="form-control" name="name" value="{{ $team->name }}">
        <small class="text-danger">{{ $errors->first('name') }}</small>
      </div>


         <div id="ifbox" style="display: none;" class="form-group">

          <label for="played">لعب: </label>
          <input  type="number" class="form-control" name="played" placeholder=""  value="{{$team['played']}}">

          <label for="win">فوز: </label> 
          <input  type="number" class="form-control" name="win" placeholder=""  value="{{$team['win']}}">

          <label for="lost">خساره: </label> 
          <input  type="number" class="form-control" name="lost" placeholder=""  value="{{$team['lost']}}">
          <label for="draw">تعادل: </label> 
          <input  type="number" class="form-control" name="draw" placeholder=""  value="{{$team['draw']}}">

          <label for="goals">له: </label> 
          <input  type="number" class="form-control" name="goals" placeholder=""  value="{{$team['goals']}}">


          <label for="considered">عليه: </label>
          <input  type="number" class="form-control" name="considered" placeholder="" value="{{$team['considered']}}"> 


          <label for="difference">الفرق: </label> 
          <input  type="number" class="form-control" name="difference" placeholder=""  value="{{$team['difference']}}">


          <label for="totalpoints">النقاط: </label> 
          <input  type="number" class="form-control" name="totalpoints" placeholder=""  value="{{$team['totalpoints']}}">

        </div>


        <div class="form-group{{ $errors->has('team') ? ' has-error' : '' }} input-file-block">
              {!! Form::label('image', __('adminstaticwords.GenreImage')) !!}
              <i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="{{__('adminstaticwords.UploadGenreImage')}}"></i>
              {!! Form::file('image', ['class' => 'input-file', 'id'=>'image']) !!}
              <label for="image" class="btn btn-danger js-labelFile" data-toggle="tooltip" data-original-title="team image">
                <i class="icon fa fa-check"></i>
                <span class="js-fileName">{{__('adminstaticwords.ChooseAFile')}}</span>
              </label>
              <p class="info">{{__('adminstaticwords.ChooseCustomImage')}}</p>
              <small class="text-danger">{{ $errors->first('image') }}</small>
            </div>


    




 

  
  <div class="form-group{{ $errors->has('genre_id') ? ' has-error' : '' }}">
    {!! Form::label('genre_id',__('adminstaticwords.Genre')) !!}
    <i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="{{__('adminstaticwords.PleaseSelectGenres')}}"></i>
    <div class="input-group">
      {!! Form::select('genre_id', $genre_ls,$team['genre_id'], ['class' => 'form-control select2', 'single']) !!}
      <a href="#" data-toggle="modal" data-target="#AddGenreModal" class="input-group-addon"><i class="material-icons left">add</i></a>
    </div>
    <small class="text-danger">{{ $errors->first('genre_id') }}</small>
  </div>

 
  <div class="btn-group pull-right">
    <button type="reset" class="btn btn-info"><i class="material-icons left">toys</i> {{__('adminstaticwords.Reset')}}</button>
    <button type="submit" class="btn btn-success"><i class="material-icons left">add_to_photos</i> {{__('adminstaticwords.Create')}}</button>
  </div>
<div class="clear-both"></div>
{!! Form::close() !!}
</div>
</div>
</div>
</div>
<!-- Add Language Modal -->


<!-- Add Genre Modal -->
<div id="AddGenreModal" class="modal fade" role="dialog">
  <div class="modal-dialog modal-sm">
    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h5 class="modal-title">{{__('adminstaticwords.AddGenre')}}</h5>
      </div>
      {!! Form::open(['method' => 'POST', 'action' => 'GenreController@store']) !!}
      <div class="modal-body admin-form-block">
        <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
          {!! Form::label('name', __('adminstaticwords.Name')) !!}
          {!! Form::text('name', null, ['class' => 'form-control', 'required' => 'required']) !!}
          <small class="text-danger">{{ $errors->first('name') }}</small>
        </div>
      </div>
      <div class="modal-footer">
        <div class="btn-group pull-right">
          <button type="reset" class="btn btn-info"><i class="material-icons left">toys</i> {{__('adminstaticwords.Reset')}}</button>
          <button type="submit" class="btn btn-success"><i class="material-icons left">add_to_photos</i> {{__('adminstaticwords.Create')}}</button>
        </div>
      </div>
      <div class="clear-both"></div>
      {!! Form::close() !!}
    </div>
  </div>
</div>
@endsection

@section('custom-script')


<script>
  $(document).ready(function(){
   $('#ifbox').show();
   $('#selecturl').change(function(){  
     selecturl = document.getElementById("selecturl").value;
      if (selecturl == 'audiourl') {
    $('#ifbox').show();
    $('#uploadaudio').hide();

  }else if (selecturl == 'upload_audio') {
   $('#uploadaudio').show();
   $('#ifbox').hide();

 }

});
 

  $('input[name="is_protect"]').click(function(){
    if($(this).prop("checked") == true){
      $('.is_protect').fadeIn();
    }
    else if($(this).prop("checked") == false){
      $('.is_protect').fadeOut();
    }
  });
});
</script>



</script>
@endsection
